Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Friends
HuffmanDecoder Class Reference

Huffman Decoder. More...

`#include <zinflate.h>`

List of all members.

## Classes

struct | CodeInfo
class | Err
struct | LookupEntry

## Public Types

enum | { MAX_CODE_BITS = sizeof(code_t)*8 }
typedef unsigned int | code_t
typedef unsigned int | value_t

## Public Member Functions

| HuffmanDecoder (const unsigned int *codeBitLengths, unsigned int nCodes)
void | Initialize (const unsigned int *codeBitLengths, unsigned int nCodes)
unsigned int | Decode (code_t code, value_t &value) const
bool | Decode (LowFirstBitReader &reader, value_t &value) const

## Friends

struct | CodeLessThan

## Detailed Description

Huffman Decoder.

Definition at line 32 of file zinflate.h.

The documentation for this class was generated from the following file:

- zinflate.h